LightNet: Classic

The classic LightNet is an advanced LightWave ScreamerNet replacement developed by Schoenmaekers Raf (www.komkomdoorn.com) then released as open source and updated to work with LightWave3D [6] through [10] by me, Joe Justice.  I continued development in new features and improvements for several years.

I hacked together some updates to get everything working with Lightwave 8 and just let it be.

Lightnet is free and comes with no tech support or guarantees. If it causes you're computer to blow up, don't blame me.

I haven't updated LightNet in many years. There's a reason for this, it was written in Delphi 4 which came out in 1998. In order to modernize it, it would have had to be massively re-write it. And if it had to be re-written, why not re-write it in something more common like C++? But C++ would be a TOTAL re-write. Bottom line was it would take a whole lot of time and time is one thing I'm in short supply of. So I hacked together some updates to get everything working with Lightwave 8 and just let it be.

I consider this the end of the line for the classic LightNet and have turned my focus to LightNet: Cloud.

That was about 6 years ago and it seems to have stood the test of time while I've been doing other things. But with recent hardware advances there's a major problem with the way the Screamsaver system works that causes Integer Overflows. Someone e-mailed me and asked if I could just kill all of the Screamsaver stuff. I wasn't sure if I could or not, but I dug through my old CDs and found Delphi 4. To my surprised I got it running on Windows 7 and was actually able to make the changes!

I have dubbed this version 4.1. I basically just killed the Screamsaver and the tray icon procedures. The options are still there, it's not a clean update AT ALL, but I think it will do the job. As of right now, I consider this the end of the line for the classic LightNet and have turned my focus to LightNet: Cloud.

If you still use the Screemsaver and don't have any problems you can still download 4.0 bellow. Otherwise, get with LightNet 4.1.

Download LightNet 4.1

Download LightNet 4.0